> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meshconnect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Registered client Logo

> Remove logo of Registered client.



## OpenAPI

````yaml https://admin-api.meshconnect.com/swagger/AdminAPI/swagger.json delete /admin/api/v1/SubClient/{id}/logo
openapi: 3.0.1
info:
  title: Admin API
  version: v1
servers:
  - url: https://admin-api.meshconnect.com
security:
  - Bearer: []
paths:
  /admin/api/v1/SubClient/{id}/logo:
    delete:
      tags:
        - Registered Clients
      summary: Remove Registered client Logo
      description: Remove logo of Registered client.
      parameters:
        - name: id
          in: path
          description: The identifier of the Registered client to remove logo for
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Registered client logo removed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResult'
              example:
                status: ok
                message: ''
                errorHash: 97ba9d35
                teamCode: P4
                errorType: ''
        '401':
          description: 'Unauthorized: Auth token request is not valid'
          content:
            application/json:
              schema: {}
              example:
                statusCode: 401
        '403':
          description: 'Permission denied: Request is not allowed'
          content:
            application/json:
              schema: {}
              example:
                status: permissionDenied
                message: Error message
                displayMessage: Optional display message
                errorHash: cd59bd31
                teamCode: P4
                errorType: missingField
components:
  schemas:
    ApiResult:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResultStatus'
        message:
          type: string
          description: A message generated by the API
          nullable: true
        displayMessage:
          type: string
          description: User-friendly display message that can be presented to the end user
          nullable: true
        errorHash:
          type: string
          description: >-
            An error grouping hash from string components and caller
            information. Used by bugsnag on FE for correct error grouping
          nullable: true
          readOnly: true
        teamCode:
          type: string
          description: "Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS.\r\nFormat: 2-character code (e.g., \"7K\", \"M2\"). Use for alerting/routing, not display."
          nullable: true
          readOnly: true
        errorType:
          type: string
          description: "Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation.\r\nAll possible error types are available in the documentation."
          nullable: true
        errorData:
          nullable: true
          readOnly: true
      additionalProperties: false
    ApiResultStatus:
      enum:
        - ok
        - serverFailure
        - permissionDenied
        - badRequest
        - notFound
        - conflict
        - tooManyRequest
        - locked
        - unavailableForLegalReasons
      type: string
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Authorization header using the Bearer scheme. Example: "Authorization:
        Bearer {Value}"
      scheme: bearer

````